> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a column hashing salt

> Retrieves a column hashing salt by UUID, including the decrypted salt. Requires company admin.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /column-hashing-salts/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /column-hashing-salts/{uuid}:
    get:
      tags:
        - Column Hashing Salts
      summary: Get a column hashing salt
      description: >-
        Retrieves a column hashing salt by UUID, including the decrypted salt.
        Requires company admin.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsColumnHashingSaltDetail'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsColumnHashingSaltDetail:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        name:
          type: string
        salt:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - salt
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````